
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Javascript学习笔记之 函数篇（二） : this 的工作机制_基础知识 / iVAN</title>

    <meta name="description" content="Javascript学习笔记之 函数篇（二） : this 的工作机制_基础知识 全局作用域下 this; 当在全局作用域中使用 this,它指向全局对象. 这里详细介绍下全局对象: 全局对象(Global object) 是在进入任何执行上下文之前就已经创建了的对象: 这个对象只存在一份,它的属性在程序中任何地方都可以访问,全局对象的生命周期终止于程序退出那一刻. 全局对象初始创建阶段将 Math.String.Date.parseInt 作为自身属性,等属性初始化,同样也可以有额外创建的其它对象作为属性(其可以指向到全局对象自身).例如,在 DOM 中,全局对象的 win">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Javascript学习笔记之 函数篇（二） : this 的工作机制_基础知识</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>全局作用域下</strong></p>
<p>this;<br />
当在全局作用域中使用 this,它指向全局对象。<br />
这里详细介绍下全局对象：</p>
<p>全局对象(Global object) 是在进入任何执行上下文之前就已经创建了的对象；<br />
这个对象只存在一份，它的属性在程序中任何地方都可以访问，全局对象的生命周期终止于程序退出那一刻。<br />
全局对象初始创建阶段将 Math、String、Date、parseInt 作为自身属性，等属性初始化，同样也可以有额外创建的其它对象作为属性（其可以指向到全局对象自身）。例如，在 DOM 中，全局对象的 window 属性就可以引用全局对象自身。<br />
所以在 console 内输入 window 和 this.window 是一样的。</p>
<p><strong>调用一个函数时</strong></p>
<p>foo();<br />
在这里，this 同样指向全局对象。</p>
<p><strong>调用一个方法时</strong></p>
<p>test.foo();</p>
<p>在这个例子中，this 将会指向 test 对象。</p>
<p><strong>调用一个构造函数时</strong></p>
<p>new foo();</p>
<p>一个函数在被调用时和关键字 new 一起使用，我们称之为构造函数。此时在函数内，this 指向新建的对象。</p>
<p><strong>显式设置时</strong></p>
<pre>
function foo(a, b, c) {}//

var bar = {};
foo.apply(bar, [1, 2, 3]); // array will expand to the below
foo.call(bar, 1, 2, 3); // results in a = 1, b = 2, c = 3</pre>
<p>当使用 Function.prototype 的 apply 和 call 方法时，this 的值为显式设置为该方法的第一个参数。<br />
因此，不同于调用一个函数时的规则，上例中 this 指向了 bar。</p>
<p>这里介绍下 call 和 apply 方法：</p>
<p><strong> call 方法</strong>:</p>
<p>语法：call([thisObj[,arg1[, arg2[,   [,.argN]]]]])<br />
定义：调用一个对象的一个方法，以另一个对象替换当前对象。</p>
<p> <strong>apply 方法</strong>：</p>
<p>语法：apply([thisObj[,argArray]])<br />
定义：应用某一对象的一个方法，用另一个对象替换当前对象。<br />
在这里我们要注意一点，在对象的字面声明时，this 不能用来指向对象本身。如下：</p>
<pre>
var obj = {me: this}</pre>
<p>这里，this 不会指向 obj，this 的应用只限于以上五种情形。</p>
<p>总结</p>
<p>尽管上述情形在大多时候是有意义的，但是第二种情形（即调用一个函数时）的 this 实际上是很少有用途的，这被认为是 Javascript 设计上的另一个错误。</p>
<pre>
Foo.method = function() {
  function test() {
    // this is set to the global object
  }
  test();
}</pre>
<p>根据我们上面所述，这里的 this 将会指向全局对象，而不是 Foo 函数。<br />
为了在 test 中获得指向 Foo 的途径，我们需要在 method 内部创建一个局部变量指向 Foo。</p>
<pre>
Foo.method = function() {
  var that = this;
  function test() {
    // Use that instead of this here
  }
  test();
}</pre>
<p>that 只是普通的变量名，但是它经常被用来指向外部的 this。<br />
还有一个比较有意思的地方与函数别名相关，即将一个方法赋值给一个变量时。</p>
<pre>
var test = someObject.methodTest;
test();</pre>
<p>上例中，test 将会被当做一个普通函数看待，所以根据第二种情形（即调用一个函数时），其内部的 this 将会指向全局变量，而不是 someObject。<br />
尽管，this 晚绑定初看上去是个不好的决定，但实际上这是原型式继承工作的基础。</p>
<pre>
function Foo() {}
Foo.prototype.method = function() {};

function Bar() {}
Bar.prototype = Foo.prototype;

new Bar().method();</pre>
<p>此时，当 method 被调用时，它将指向 Bar 的实例对象。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    this<br />
                                    ，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 03:30:30</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/this/" title="this">this</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Javascript学习笔记之 函数篇（二） : this 的工作机制_基础知识的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8Lvdp.html" rel="bookmark">Javascript学习笔记之函数篇（五） &colon; &amp;amp&semi;&num;65279&semi;构造函数&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript 中的构造函数与其他语言相比也是不同的.任何通过关键字 new 调用的函数都可以当做构造函数. 在构造函数体内,this 指向新创建的对象.如果构造函数体内没有显示的 return 表达式,那么我们就默认返回 this,也就是新建的对象. 复制代码 代码如下: function Foo() {     this.bla = 1; } Foo.prototype.test = function() {     console.log(this.bla); }; var test			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeRVG8b.html" rel="bookmark">Javascript学习笔记之函数篇（四）&colon;arguments 对象&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				每一个 Javascript 函数都能在自己作用域内访问一个特殊的变量 - arguments.这个变量含有一个传递给函数的所有参数的列表. arguments 对象不是一个数组.尽管在语法上它跟数组有相同的地方,例如它拥有 length 属性.但它并不是从 Array.prototype 继承而来,实际上,它就是一个对象. 因此,我们不能直接对 arguments 使用一些数组的方法,例如 push, pop 或 slice 等. 所以为了使用这些方法,我们就需要将其转换为一个真正的数组. 转			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKKrEz.html" rel="bookmark">javascript学习笔记（六）数据类型和JSON格式&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				什么是JSON JSON:JavaScript 对象表示法(JavaScript Object Notation). JSON的形式是用大括号&quot;{}&quot;包围起来的项目列表,每一个项目间用逗号(,)分隔,而项目就是用冒号(:)分隔的属性名和属性值.这是典型的字典表示形式,也再次表明javascript里的对象就是字典结构.不管多么复杂的对象,都可以用一句JSON代码来创建并赋值. JSON 结构 JSON有两种结构 json简单说就是javascript中的对象和数组,所以这两种结构就是对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYYjZb.html" rel="bookmark">javascript学习笔记（三）BOM和DOM详解&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js组成 我们都知道, javascript 有三部分构成,ECMAScript,DOM和BOM,根据宿主(浏览器)的不同,具体的表现形式也不尽相同,ie和其他的浏览器风格迥异. 1. DOM 是 W3C 的标准: [所有浏览器公共遵守的标准] 2. BOM 是 各个浏览器厂商根据 DOM 在各自浏览器上的实现;[表现为不同浏览器定义有差别,实现方式不同] 3. window 是 BOM 对象,而非 js 对象: DOM(文档对象模型)是 HTML 和 XML 的应用程序接口(API). BOM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYNBAxp.html" rel="bookmark">javascript学习笔记&lpar;十八&rpar; 获得页面中的元素代码&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.获取元素 getElementById()方法,通过元素的id获取元素,接受一个参数即要获取元素的id,如果不存在这个id返回 null 注意不要让表单元素的name和别的元素的id相同,IE8以下的IE浏览器用这个方法通过元素的name属性可以获得该元素 以下面元素为例 &lt;div id =&quot;myDiv&quot;&gt;这里是id为&quot;myDiv&quot;的div内容&lt;/div&gt;var document.getElementById(&quot;myDiv&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPX92rp.html" rel="bookmark">javascript学习笔记（三）显示当时时间的代码&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				html代码如下: 复制代码 代码如下: &lt;div id=&quot;showTime&quot;&gt;&lt;/div&gt; javascript 代码如下:时间显示格式为:2011-04-04 星期二 12:09:34 复制代码 代码如下: function startTime() { try{ var today = new Date(); var year = today.getFullYear(); var month = checkNum(today.getMonth()+1); v			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5JNkz.html" rel="bookmark">javascript学习笔记&lpar;十五&rpar; js间歇调用和超时调用&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.超时调用setTimeout() setTimeout() 方法接受两个参数,第一个参数是函数,第二个参数是时间(单位微秒),返回数值ID 复制代码 代码如下: setTimeout( function () { alert(&quot;你好!&quot;); },1000); 调用前取消clearTimeout(),接受一个参数超时调用ID 复制代码 代码如下: var timeOutId = setTimeout( function () { alert(&quot;你好!&quot;); },1			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkwZvz.html" rel="bookmark">javascript学习笔记（七）Ajax和Http状态码&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ajax及其工作原理 AJAX 是一种与服务器交换数据无需刷新网页的技术,最早由Google公司在谷歌地图里使用,并迅速风靡. AJAX是不能跨域的,如需跨域,可以使用document.domain='a.com':或者使用服务器代理,代理XMLHttpRequest文件 AJAX是基于现有的Internet标准,并且联合使用它们: XMLHttpRequest 对象 (异步的与服务器交换数据) JavaScript/DOM (信息显示/交互) CSS (给数据定义样式) XML (作为转换数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7ZvqM.html" rel="bookmark">Javascript学习笔记之 函数篇（三） &colon; 闭包和引用&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript 中一个最重要的特性就是闭包的使用.因为闭包的使用,当前作用域总可以访问外部的作用域.因为 Javascript 没有块级作用域,只有函数作用域,所以闭包的使用与函数是紧密相关的. 模拟私有变量 复制代码 代码如下: function Counter(start) {     var count = start;     return {         increment: function() {             count++;         },      			</div>
		</article>
	</section>
			
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeREOb.html" rel="bookmark" class="title">浅谈手机开发</a>
					<div>
						      话说从去年开始,智能手机席卷中国.一般的人都开始讨论智能手机了,其中2个关键字听的最多:诺基亚,Android(不知道中国人怎么把它翻译成安 卓).为什么呢?说实在话,在大学里面读书,我只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrAkyb.html" rel="bookmark" class="title">网页里注释的内容会被抓取吗？</a>
					<div>
						很多站长都知道网页代码里面有注释代码这么个东西,其形式是,在HTML里面注释的内容出现在网页源代码,而用户浏览网页的过程中是看不到的.因为注释内容在源代码展现又不会影响页面内容,所以很多人觉得蜘蛛会抓 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRBVGM.html" rel="bookmark" class="title">反SEO模式：先流量而后权重打造稳步发展新布局</a>
					<div>
						提到网络营销, 很多人都会立刻想网站,接着就是SEO.这一方面说明了网站在网络营销中的地位,也显示出SEO在网络营销中的不可或缺.在网络营销中,收费推广和免费推 广不存在优劣之分,各有各的优点和缺点, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPr28z.html" rel="bookmark" class="title">光纤通信优点</a>
					<div>
						光纤通信之所以受到人们的极大重视,这是因为和其它通信手段相比,具有无以伦比的优越性. 1.通信容量大 从理论上讲,一根仅有头发丝粗细的光纤可以同时传输1000 亿个话路.虽然目前远远未达到如此高的传输 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN1Nmb.html" rel="bookmark" class="title">简单的struts应用开发（4）</a>
					<div>
						第五步:建立Action (userAction.Java) 这里我们将建产两个Action . userAction.java 将完成以下工作. 1.添加(前期数据准备. 主是提取部门资料.并传递给 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wvGLp.html" rel="bookmark" class="title">解救Win7系统假死机现象</a>
					<div>
						在使用Windows7系统的时候,会遇到&quot;假&quot;死机的现象.本文介绍了几种在Windows7中避免假死机情况的办法,以供网民们学习. 尽管Windows7系统功能强大.兼容性良好,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NOEwz.html" rel="bookmark" class="title">教你如何使用PS制作淘宝网店自定义区的切片分块链接</a>
					<div>
						很多卖家对网页制作软件并不熟悉,相对于dremaweaver软件来说,懂PS软件的要多一些,那么,对于我们从未接触过网页制作的一些卖家来说,如何去使用PS来制作自定义区的广告图片切片分块链接呢,那么, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl6knb.html" rel="bookmark" class="title">excel模板怎么制作表格并添加常用文件夹&quest;</a>
					<div>
						  有的时候我们需要使用固定的表格进行不同的编辑,这个时候我们就可以把我们的模板保存起来想用的时候我们就可以使用了. 1.其实使用模板的使用是比较简单的,比如我们有一个表格如何把它保存成表格.点击另存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkEqnb.html" rel="bookmark" class="title">解决win7系统控制面板打不开的方法</a>
					<div>
						  1.有可能是中毒了,可以对电脑全盘杀毒一下,查杀完成之后方法可以试着进入电脑桌面,从win7的 开始→设置→控制面板 即可进入或者依然是进入&quot;计算机&quot;,在窗口侧栏依然可以找到控 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7X9Eb.html" rel="bookmark" class="title">Promise 是如何工作的&quest;</a>
					<div>
						本文讲的是Promise 是如何工作的?, 目录 1. 入门介绍 大部分的JavaScript实现都是单线程的,并且考虑到语言的语义,人们倾向于使用 callbacks (回调函数)来管理并行的过程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP89qqp.html" rel="bookmark" class="title">Redis笔记（二）Redis的部署和启动</a>
					<div>
						Linux下Redis的部署和启动 下载安装介质 Redis官网地址:http://www.redis.io/ 目前最新版本是redis-3.0.3. 可以访问 http://download.red ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1r6db.html" rel="bookmark" class="title">怎么能用xcode做真机调试</a>
					<div>
						问题描述 怎么能用xcode做真机调试 参照了网上的无证书做真机调试的方法. 进行到 点击&quot;Fix Issue&quot;按钮后, 提示&quot;No devices. Creating  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQG88p.html" rel="bookmark" class="title">java中的方法的使用-java中类方法使用问题</a>
					<div>
						问题描述 java中类方法使用问题 package lianxi;public class Xiangqi { protected String strName; protected int nAge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRnqjz.html" rel="bookmark" class="title">java-JAVA基础问题，请各位大神详细说下</a>
					<div>
						问题描述 JAVA基础问题,请各位大神详细说下 这个为什么最后输出的是goodandgbc,为啥str没变,char变了呢? 解决方案 形参一般是不改变实参的值的,除非申明为引用,比如你传个int a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXq97jz.html" rel="bookmark" class="title">人脸识别-百度开放云BRF java代码</a>
					<div>
						问题描述 百度开放云BRF java代码 求百度人脸识别BRF的java代码,或其他人脸识别的java代码,急,跪求 解决方案 Javacv人脸识别源码(2013.11.23新.包含测试图片,视频,各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDZ7Gz.html" rel="bookmark" class="title">Linux下防火墙iptables学习笔记</a>
					<div>
						一.iptables的开启和关闭 1. 重启系统生效 [Sun@webserver2 ~]$ sudo chkconfig iptables on     开启 [Sun@webserver2 ~]$ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDeEBvb.html" rel="bookmark" class="title">关于C&num; 泛型指针类型的问题</a>
					<div>
						问题描述 unsafeclassHeapTools{publicunsafestaticT*HeapAlloc&lt;T&gt;()whereT:struct{return(T*)Marshal.Al ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M949NKb.html" rel="bookmark" class="title">Windows Phone 8&period;1 多媒体（2）：视频</a>
					<div>
						原文:Windows Phone 8.1 多媒体(2):视频 Windows Phone 8.1 多媒体(1):相片 Windows Phone 8.1 多媒体(2):视频 Windows Phone ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ84Dp.html" rel="bookmark" class="title">对象-C&plus;&plus;多态基类和派生类之间转换</a>
					<div>
						问题描述 C++多态基类和派生类之间转换 #include &lt;iostream&gt; #include&lt;iostream&gt; using namespace std; class A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjlW0M.html" rel="bookmark" class="title">《ASP&period;NET MVC 4 实战》---- 1&period;3  ASP&period;NET MVC 3&sol;4的新特性</a>
					<div>
						1.3 ASP.NET MVC 3/4的新特性 ASP.NET MVC 4 实战 除了对.NET 4有新的依赖性之外,MVC 3.4版有许多改进和一些新的特性.这些新特性包括: 本节中将简要介绍每一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4e8kYb.html" rel="bookmark" class="title">24券网CEO杜一楠：避免被淘汰要比拼内功</a>
					<div>
						2011年,目前市场上大部分团购网站是否会被无情淘汰?对此,24券网CEO杜一楠有自己的理解:经历了疯狂的圈地融资后,传统团购行业将面临残酷的洗牌.而要想在这场淘汰战中存活下来,考验的是&quot;内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKoLJp.html" rel="bookmark" class="title">嘀咕网称计划未来融资2500万美元</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 4月28日消息,LBS社交网站嘀咕 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NnB8z.html" rel="bookmark" class="title">Shell实现文本去重并操持原有顺序&lowbar;linux shell</a>
					<div>
						简单来说,这个技巧对应的是如下一种场景 假设有文本如下 复制代码 代码如下: cccc aaaa bbbb dddd bbbb cccc aaaa 现在需要对它进行去重处理,这个很简单,sort -u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxE29Qp.html" rel="bookmark" class="title">C&num; 操作XML文档 使用XmlDocument类方法&lowbar;C&num;教程</a>
					<div>
						W3C制定了XML DOM标准.很多编程语言中多提供了支持W3C XML DOM标准的API.我在之前的文章中介绍过如何使用Javascript对XML文档进行加载与查询.在本文中,我来介绍一下.Ne ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEr21z.html" rel="bookmark" class="title">应用Visual Studio 2010辅助敏捷测试（上）</a>
					<div>
						敏捷软件开发是近些年来比较热门的话题,&lt;敏捷宣言&gt;四条主要精神和十二条基本准则概括了敏捷开发的基本思想.围绕着这些基本概念和思想,产生了一系列的轻量级方法,如:极限编程.测试驱动开发.Sc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY8LAb.html" rel="bookmark" class="title">java-部署到tomcat的class文件与实际的不一样</a>
					<div>
						问题描述 部署到tomcat的class文件与实际的不一样 我在svn下载代码后修改发布,运行的是下载下来的代码,后来我就webapp下面的删除后重新部署结果还是一样,我在用反编译工具看了一下 结果是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1eQWb.html" rel="bookmark" class="title">雪花飘的屏保</a>
					<div>
						问题描述 老师要求我们做个VB．NET做个雪花飘的屏保, 但我不会,求助大家了． 解决方案 解决方案二:我也不会解决方案三:构建当前环境.雪花2个类当前环境中至少要有风向.风速2个变量,还要有当前正在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6GKNM.html" rel="bookmark" class="title">awk 系列：如何使用 awk 和正则表达式过滤文本或文件中的字符串</a>
					<div>
						当我们在 Unix/Linux 下使用特定的命令从字符串或文件中读取或编辑文本时,我们经常需要过滤输出以得到感兴趣的部分.这时正则表达式就派上用场了. 什么是正则表达式? 正则表达式可以定义为代表若干 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyxqkM.html" rel="bookmark" class="title">这样的情况是被SQL注入吗？</a>
					<div>
						问题描述 我的网站是.net+sql2005的,现在常被注进这样一些内容,​6735831512jgezdj9999​程序上应该怎么处理呢?​这是SQL注入吗?感觉不是一样,我在globle.asax ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdlxnp.html" rel="bookmark" class="title">Ceph分布式存储实2&period;1　Ceph功能模块与RADOS</a>
					<div>
						存储基石RADOS 分布式对象存储系统RADOS是Ceph最为关键的技术,它是一个支持海量存储对象的分布式对象存储系统.RADOS层本身就是一个完整的对象存储系统,事实上,所有存储在Ceph系统中的用 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
